package tool;

import image.ImageView;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;

public class ImageStaticToolBar extends ImageToolBar {

	private static final long serialVersionUID = 1L;

	// botao play
	private JButton playButton;

	//construtor
	public ImageStaticToolBar(ImageView iv) {
		super(iv);

		playButton = addToolbarButton(myToolBar, true, null, "play", "Play");

		addEvents();
	}
	
	//adiciona os eventos nos botoes
	public void addEvents() {

		ButtonHandler bHandler = new ButtonHandler();

		clearButton.addActionListener(bHandler);
		recButton.addActionListener(bHandler);

		playButton.addActionListener(bHandler);
	}

	//	classe interna anonima para tratar eventos de ao dos botoes
	private class ButtonHandler implements ActionListener {
		public void actionPerformed(ActionEvent event) {

			if (((JButton)event.getSource()).getName() == "clear") {
				System.out.println("Clear");
				
				if (imageView.getEyeOptions().getFileOption() == 1) 
					imageView.clear();
				else
					System.out.println("Abra uma Imagem");

				return;
			}

			if (((JButton)event.getSource()).getName() == "rec") {
				System.out.println("Rec");

				if (imageView.getEyeOptions().getFileOption() == 1) {
					changeButton();
					changeRec();
				}
				
				else
					System.out.println("Abra uma Imagem");

				return;
			}

			if (((JButton)event.getSource()).getName() == "stopRec") {
				System.out.println("stopRec");

				if (imageView.getEyeOptions().getFileOption() == 1) {
					changeButton();
					changeRec();
					imageView.closeWriter();
				}
				
				else
					System.out.println("Abra uma Imagem");
	
				return;
			}

			if (((JButton)event.getSource()).getName() == "play") {
				System.out.println("play");
				
				imageView.viewStatic();

				return;
			}

		}
	};
}